<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="TOOLBAR-FIELD">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="INPUT[@MULTY-LINE='0']">
		<xsl:call-template name="INPUT-CONTROL" mode="TITLE-LEFT">
			<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
			<xsl:with-param name="controlStyle">padding-left: 5px; margin-left: 4px;</xsl:with-param>
			<xsl:with-param name="maxLength">255</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">width: 85%; text-align: right;</xsl:with-param>
			<xsl:with-param name="titleStyle">width: 25%; padding: 5px;</xsl:with-param>
<!--
			<xsl:with-param name="name" select="@NAME"/>
			<xsl:with-param name="title" select="@TITLE"/>
			<xsl:with-param name="value" select="@VALUE"/>
			<xsl:with-param name="titleStyle">width: 25%; padding: 5px;</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">width: 85%;</xsl:with-param>
			<xsl:with-param name="controlStyle">width: 420px;</xsl:with-param>
-->
			<xsl:with-param name="require">on</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="INPUT[@MULTY-LINE!='0']">
		<xsl:call-template name="TEXTAREA-CONTROL">
			<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
			<xsl:with-param name="controlStyle">padding-left: 5px; margin-left: 4px; height: 220px;</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">width: 85%; text-align: right;</xsl:with-param>
			<xsl:with-param name="titleStyle">width: 25%; padding: 5px;</xsl:with-param>
<!--
			<xsl:with-param name="name" select="@NAME"/>
			<xsl:with-param name="title" select="@TITLE"/>
			<xsl:with-param name="value" select="@VALUE"/>
			<xsl:with-param name="titleStyle">width: 25%; padding: 5px;</xsl:with-param>
			<xsl:with-param name="controlEnvStyle">width: 85%;</xsl:with-param>
			<xsl:with-param name="controlStyle">width: 420px; height: 220px;</xsl:with-param>
-->
			<xsl:with-param name="require">on</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>